com.aliyun.svideosdk.editor

## Interface AliyunISteamController

- All Known Subinterfaces:
    AliyunIPipController

      public interface AliyunISteamController

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `apply()` apply change
    `AliyunIAnimationController` | `getAnimationController()` get Animation controller
    `AliyunIAudioController` | `getAudioController()` get audio controller
    `AliyunIAugmentationController` | `getAugmentationController()` get augmentation controller
    `long` | `getClipDurationInMillis()` get clip's duration
    `long` | `getClipStartTimeInMillis()` get clip's startTime
    `int` | `getHeight()` get stream height
    `AliyunILayoutController` | `getLayoutController()` get layout controller
    `java.lang.String` | `getPath()` get stream path
    `int` | `getStreamId()` get StreamID
    `long` | `getTimeLineEndTimeInMillis()` get end time on timeline
    `long` | `getTimeLineStartTimeInMillis()` get start time on timeline
    `int` | `getWidth()` get stream width
    `AliyunISteamController` | `setBorderColor(int value)` set the border's color
    `AliyunISteamController` | `setBorderCornerRadius(float value)` set the border's radius
    `AliyunISteamController` | `setBorderWidth(float value)` set the border's width
    `AliyunISteamController` | `setClipEndTime(long endTime, java.util.concurrent.TimeUnit timeUnit)` set clip's duration
    `AliyunISteamController` | `setClipStartTime(long startTime, java.util.concurrent.TimeUnit timeUnit)` set clip's startTime
    `AliyunISteamController` | `setHorizontalFlip(boolean flip)` set video horizontal flip or no
    `AliyunISteamController` | `setTimelineStartTime(long startTime, java.util.concurrent.TimeUnit timeUnit)` set startTime at Timeline

- - ### Method Detail

    - #### setClipStartTime

          AliyunISteamController setClipStartTime(long startTime,
                                                  java.util.concurrent.TimeUnit timeUnit)

      set clip's startTime
      Parameters:
        `startTime` -
        `timeUnit` -

    - #### setClipEndTime

          AliyunISteamController setClipEndTime(long endTime,
                                                java.util.concurrent.TimeUnit timeUnit)

      set clip's duration
      Parameters:
        `endTime` -
        `timeUnit` -

    - #### setTimelineStartTime

          AliyunISteamController setTimelineStartTime(long startTime,
                                                      java.util.concurrent.TimeUnit timeUnit)

      set startTime at Timeline
      Parameters:
        `startTime` -
        `timeUnit` -

    - #### setBorderColor

          AliyunISteamController setBorderColor(int value)

      set the border's color
      Parameters:
        `value` -

    - #### setBorderWidth

          AliyunISteamController setBorderWidth(float value)

      set the border's width
      Parameters:
        `value` -
      Returns:

    - #### setBorderCornerRadius

          AliyunISteamController setBorderCornerRadius(float value)

      set the border's radius
      Parameters:
        `value` -
      Returns:

    - #### setHorizontalFlip

          AliyunISteamController setHorizontalFlip(boolean flip)

      set video horizontal flip or no
      Parameters:
        `flip` - flip or no
      Returns:

    - #### getAugmentationController

          AliyunIAugmentationController getAugmentationController()

      get augmentation controller
      Returns:
        see `AliyunIAugmentationController`

    - #### getAudioController

          AliyunIAudioController getAudioController()

      get audio controller
      Returns:
        see `AliyunIAudioController`

    - #### getLayoutController

          AliyunILayoutController getLayoutController()

      get layout controller
      Returns:
        see `AliyunIAudioController`

    - #### getAnimationController

          AliyunIAnimationController getAnimationController()

      get Animation controller
      Returns:
        see `AliyunIAudioController`

    - #### apply

          int apply()

      apply change
      Returns:

    - #### getStreamId

          int getStreamId()

      get StreamID
      Returns:

    - #### getPath

          java.lang.String getPath()

      get stream path
      Returns:

    - #### getWidth

          int getWidth()

      get stream width

    - #### getHeight

          int getHeight()

      get stream height

    - #### getClipStartTimeInMillis

          long getClipStartTimeInMillis()

      get clip's startTime
      Returns:
        millisecond(ms)

    - #### getClipDurationInMillis

          long getClipDurationInMillis()

      get clip's duration
      Returns:
        millisecond(ms)

    - #### getTimeLineStartTimeInMillis

          long getTimeLineStartTimeInMillis()

      get start time on timeline
      Returns:
        millisecond(ms)

    - #### getTimeLineEndTimeInMillis

          long getTimeLineEndTimeInMillis()

      get end time on timeline
      Returns:
        millisecond(ms)